Bug 828161 - php-mapserver broken in f17
Summary: php-mapserver broken in f17
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mapserver
Version: 17
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 863859 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-04 11:38 UTC by Eduardo Medina
Modified: 2013-08-01 20:10 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-01 20:10:01 UTC


Attachments (Terms of Use)
Logs from /var/log and /var/log/httpd (96.42 KB, application/x-gzip)
2012-06-07 10:24 UTC, Eduardo Medina
no flags Details
mapserver.patch (1.94 KB, patch)
2012-06-07 18:01 UTC, Remi Collet
no flags Details | Diff
Upstream fix to work with PHP 5.4 (3.37 KB, patch)
2012-09-04 14:54 UTC, Petr Pisar
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 796344 None None None Never

Internal Trackers: 796344

Description Eduardo Medina 2012-06-04 11:38:26 UTC
Description of problem: HTTPD doesn't runs when I try to start it with PHP, but when I try to start without  PHP installed it runs correctly.


Version-Release number of selected component (if applicable):


How reproducible: I installed the next packages in Fedora: httpd php php-gd php-imap php-ldap php-mysql php-odbc php-pear php-xml php-xmlrpc php-mapserver php-mbstring php-mcrypt php-mhash php-mssql php-shout php-snmp php-soap php-tidy curl libxml2 libxml2-devel mysql mysql-server mod_python mod_perl ImageMagick perl-libwww-perl perl-HTML-Parser perl-DBI perl-Net-DNS perl-Digest-SHA1 perl-ExtUtils-AutoInstall perl-NetAddr-IP perl-Archive-Tar php-gd php-Smarty php-zipstream js phpmyadmin php-domxml-php4-php5 php-pecl-apc


Steps to Reproduce:
1. I installed those package with YUM.
2. I tried to start HTTP with: systemctl start httpd.service
3. I give me the next mesage: Job failed. See system journal and 'systemctl status' for details.
4. When I execute "systemctl status" it give me the next mesage: Too few arguments.
  
Actual results: I can't start HTTP :( .


Expected results:


Additional info: I'm web developer, and when I saw this I downgrade to Fedora 16 immediately.

Comment 1 Remi Collet 2012-06-04 17:08:16 UTC
More informations ?
Content of /var/log/messages ?
Content of /var/log/httpd/error_log ?

Comment 2 Eduardo Medina 2012-06-05 09:35:06 UTC
Shit, my desktop was broken yesterday (in an accident), I can't see the logs now. Give me two day to reproduce the situation.

Comment 3 Eduardo Medina 2012-06-07 10:24:14 UTC
Created attachment 590151 [details]
Logs from /var/log and /var/log/httpd

Comment 4 Eduardo Medina 2012-06-07 10:24:36 UTC
OK, My desktop runs again and I can give you the information about those files.

About HTTPD, /etc/log/messages give me the next information:
Jun  7 12:05:07 fedora17-v systemd[1]: Startup finished in 1s 724ms 131us (kernel) + 5s 838ms 27us (initrd) + 2min 27s 739ms 444us (userspace) = 2min 35s 301ms 602us.
Jun  7 12:05:11 fedora17-v httpd[1306]: httpd: Could not reliably determine the server's fully qualified domain name, using 10.0.2.15 for ServerName
Jun  7 12:05:11 fedora17-v systemd[1]: PID file /var/run/httpd/httpd.pid not readable (yet?) after start.
Jun  7 12:05:16 fedora17-v abrt[1309]: Saved core dump of pid 1307 (/usr/sbin/httpd) to /var/spool/abrt/ccpp-2012-06-07-12:05:14-1307 (86724608 bytes)
Jun  7 12:05:16 fedora17-v abrtd: Directory 'ccpp-2012-06-07-12:05:14-1307' creation detected
Jun  7 12:05:16 fedora17-v systemd[1]: httpd.service never wrote its PID file. Failing.
Jun  7 12:05:16 fedora17-v systemd[1]: Unit httpd.service entered failed state.

I send you the files for you may see them.

Comment 5 Joe Orton 2012-06-07 10:47:44 UTC
This is a problem with the php-mapscript extension.

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/php_mapscript.so' - /usr/lib64/php/modules/php_mapscript.so: undefined symbol: output_globals in Unknown on line 0

# rpm -qf /usr/lib64/php/modules/php_mapscript.so
php-mapserver-6.0.1-5.fc17.x86_64

Comment 6 Remi Collet 2012-06-07 17:49:38 UTC
It seems this package have not been rebuild during mass PHP 5.4 rebuild.

Mainly because it doesn"t follow guidelines and don't requires API check.
http://fedoraproject.org/wiki/Packaging/PHP#C_extensions_.28PECL_and_others.29

Another packaging issue : I don't understand why this extension requires httpd.

PHP extensions/libraries shouldn't requires any webserver (which should be required by webapps only)

Comment 7 Remi Collet 2012-06-07 18:01:33 UTC
Created attachment 590260 [details]
mapserver.patch

Patch proposal.

I haven't commit this patch, it seems this package is FTBFS (in java stuff)


+ make
javac edu/umn/gis/mapscript/*.java
edu/umn/gis/mapscript/layerObj.java:445: error: cannot find symbol
        classobj.layer=this;
                ^
  symbol:   variable layer
  location: variable classobj of type classObj
edu/umn/gis/mapscript/layerObj.java:497: error: cannot find symbol
	        clazz.layer=this;
	             ^

Comment 8 Eduardo Medina 2012-06-07 22:35:01 UTC
I can work with Prestashop and Drupal without the package php-mapserver.

Thank you very much for your help.

Comment 9 Petr Pisar 2012-09-04 14:54:50 UTC
Created attachment 609711 [details]
Upstream fix to work with PHP 5.4

Comment 10 Remi Collet 2012-10-08 04:56:40 UTC
*** Bug 863859 has been marked as a duplicate of this bug. ***

Comment 11 Remi Collet 2012-10-26 07:47:57 UTC
Pavel has forgotten to update this bug (or to attach it to the update), but version 6.0.3-6, in updates-testing should fix this issue.


Version 6.0.3-7, in rawhide conforms to PHP Guildeines.

Comment 12 Fedora End Of Life 2013-07-04 07:46:28 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2013-08-01 20:10:08 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.